export default function testWsAdapter(): {
    adapter: {
        getAndObserve: <K extends string | number | symbol>(kind: K, id: string) => () => void;
        push: <K_1 extends string | number | symbol>(params: {
            kind: K_1;
            id: string;
            lastSeenRevision: string;
            pushId: string;
            value: any;
        }) => void;
    };
    auth: (token: string) => void;
    disconnect: () => void;
    connect: () => void;
    sentMessages: {
        [k: string]: any;
        action: string;
    }[];
};
