/// <reference types="react" />
import type { FullDB } from "../../core";
import type { ReactType } from "./types";
declare type Params = {
    React: ReactType;
};
export declare function createContext<Domain>(params: Params): {
    Provider: import("react").Provider<FullDB<Domain> | "missing-provider">;
    useTryDB: () => FullDB<Domain> | "missing-provider";
};
export {};
