/**
 * This over-complicated state machine ensures that we throttle
 * our transition to the offline mode, and then stay longer in it,
 * without jumping back and forth too often.
 */
import type { Connectivity } from "../types";
export declare function makeConnectivity(params: {
    onConnectivityChange: () => void;
}): {
    get: () => Connectivity;
    set: (newConnectivity: Connectivity) => void;
};
