export declare type SerializationContext = {
    id: string;
    kind: string;
};
export declare type Serialization = {
    encode: (value: unknown, context: SerializationContext) => string;
    decode: (string: string, context: SerializationContext) => unknown;
};
export declare const jsonSerialization: Serialization;
